mpd (0.24.6-1build3) resolute; urgency=medium

  * No-change rebuild for libadplug-2.4-0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 08 Jan 2026 07:15:06 +0000

mpd (0.24.6-1build2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 01:04:22 +0000

mpd (0.24.6-1build1) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Dec 2025 19:01:13 +0100

mpd (0.24.6-1) unstable; urgency=medium

  * New upstream version 0.24.6

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 24 Oct 2025 10:01:00 +0200

mpd (0.24.4-1) unstable; urgency=medium

  * New upstream version 0.24.4
  * Update copyright years

 -- Florian Schlichting <fsfs@debian.org>  Sun, 25 May 2025 18:20:12 +0200

mpd (0.24.3-1) unstable; urgency=medium

  * New upstream version 0.24.3
  * Update d/copyright
  * Update build-dep

 -- Geoffroy Youri Berret <kaliko@debian.org>  Wed, 09 Apr 2025 18:14:20 +0200

mpd (0.24.2-1) unstable; urgency=medium

  * New upstream version 0.24.2
  * Declare compliance with Debian Policy 4.7.2
  * Update d/copyright

 -- Geoffroy Youri Berret <kaliko@debian.org>  Sat, 29 Mar 2025 08:40:41 +0100

mpd (0.24.1-1) unstable; urgency=medium

  * New upstream version 0.24.1
  * Update d/copyright

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 21 Mar 2025 09:32:35 +0100

mpd (0.24-1) unstable; urgency=medium

  * New upstream version 0.24
  * d/watch: Switch to 0.24 branch
  * d/control: Update build-depend
  * Update d/copyright

 -- Geoffroy Youri Berret <kaliko@debian.org>  Wed, 19 Mar 2025 18:54:09 +0100

mpd (0.23.17-1) unstable; urgency=medium

  * New upstream version 0.23.17 (closes: #1092843)

 -- Geoffroy Youri Berret <kaliko@debian.org>  Thu, 20 Feb 2025 15:56:46 +0100

mpd (0.23.16-1) unstable; urgency=medium

  * New upstream version 0.23.16
  * Bump copyright years

 -- Florian Schlichting <fsfs@debian.org>  Sat, 21 Dec 2024 17:46:30 +0100

mpd (0.23.15-1) unstable; urgency=medium

  * New upstream version 0.23.15
  * Drop fixed-ffmpeg-ftbs.patch, applied upstream
  * Drop libgcrypt20-dev build dep (Closes: #1071944)
  * Add include_optional directive to load local config (Closes: #1070973)
  * Declare compliance with Debian Policy 4.7.0

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 14 Jun 2024 18:18:25 +0200

mpd (0.23.14-2) unstable; urgency=medium

  * Update README.Debian
  * Fixed FTBS with ffmpeg 6.1 (closes: #1057578)

 -- Geoffroy Youri Berret <kaliko@debian.org>  Sat, 16 Dec 2023 17:35:18 +0100

mpd (0.23.14-1) unstable; urgency=medium

  * New upstream version 0.23.14
    + closes: #1034236
  * Add build-dep on systemd-dev for systemd.pc
  * Add override_dh_installsystemd to not enable or start the system service
    by default. On most systems, the user service should be preferred.
  * Clean up after Pulseaudio on purge (closes: #1049454)
  * Add build-dep on libavfilter-dev to enable the "ffmpeg" filter plugin
    (closes: #1041365)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 09 Oct 2023 21:44:02 +0200

mpd (0.23.12-1) unstable; urgency=medium

  * New upstream version 0.23.12
  * d/control: build-depend on curl >= 7.55
  * Update years of packaging copyright
  * Declare compliance with Debian Policy 4.6.2
  * d/control: drop dependency on lsb-base - package is obsolete,
    functionality is in sysvinit-utils now and it's only needed for the
    initscript's "status" command

 -- Florian Schlichting <fsfs@debian.org>  Sat, 21 Jan 2023 21:32:37 +0100

mpd (0.23.11-1) unstable; urgency=medium

  * New upstream version 0.23.11

 -- Florian Schlichting <fsfs@debian.org>  Sun, 04 Dec 2022 17:30:46 +0100

mpd (0.23.10-1) unstable; urgency=medium

  * New upstream version 0.23.10
    + rebuild against fixed liburing (closes: #1023872)
  * Update d/copyright (deleted source file)
  * Update lintian-overrides syntax

 -- Florian Schlichting <fsfs@debian.org>  Sat, 26 Nov 2022 17:38:53 +0100

mpd (0.23.9-1) unstable; urgency=medium

  * New upstream version 0.23.9
  * Fixed ftbs with ffmpeg-5.1 (closes: #1017164)

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 19 Aug 2022 14:35:19 +0200

mpd (0.23.8-1) unstable; urgency=medium

  * New upstream version 0.23.8
  * Declare compliance with Debian Policy 4.6.1
  * Add myself as uploader
  * Update d/copyright
  * Fixed ftbs with fmtlib >= 9.0.0 (closes: #1014543)

 -- Geoffroy Youri Berret <kaliko@debian.org>  Tue, 19 Jul 2022 11:00:02 +0200

mpd (0.23.6-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * New upstream version 0.23.6
  * Update d/copyright
  * Disable audiofile decoder plugin
  * Update mpd.conf following upstream mpdconf.example

  [ Florian Schlichting ]
  * Simplify d/copyright a tiny bit (src/fs/io falls under "Files: *"
    entirely)

 -- Florian Schlichting <fsfs@debian.org>  Sun, 17 Apr 2022 23:27:47 +0800

mpd (0.23.5-1) unstable; urgency=medium

  * Import new upstream version 0.23.5
  * Switch to PCRE2, following upstream (closes: #1000033)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 02 Dec 2021 20:31:16 +0800

mpd (0.23.4-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * Enable NDEBUG to disable asserts

  [ Florian Schlichting ]
  * Import new upstream version 0.23.4 (closes: #887834)
  * Update patches, drop bug998310.patch from upstream
  * Update /etc/mpd.conf following mpdconf.example
  * mpd.postrm: clean up sticker.sql as well
  * d/copyright: add new files src/lib/alsa/Error.*

 -- Florian Schlichting <fsfs@debian.org>  Thu, 11 Nov 2021 23:17:04 +0800

mpd (0.23.3-2) unstable; urgency=medium

  * cherry-pick "fix crash of debug builds if startup fails" from upstream
    (closes: #998310)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 04 Nov 2021 22:25:59 +0800

mpd (0.23.3-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * Switch to 0.23 release series
  * New upstream version 0.23.2
  * Bump meson build dependency to 0.56.0
  * Add Build-Dependency on libfmt-dev
  * Explicitly use pupnp
  * Remove now useless lintian overrides
  * Update d/copyright

  [ Florian Schlichting ]
  * Some more updates to d/copyright
  * Require at least libmpdclient-dev 2.11
  * Plugins: enable snapcast, pipewire and openmpt, disable qobuz
  * New upstream version 0.23.3 (closes: #998175)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 01 Nov 2021 22:31:49 +0800

mpd (0.22.10-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * New upstream version 0.22.9
  * Update d/copyright

  [ Florian Schlichting ]
  * New upstream version 0.22.10
  * Do not try to enable tidal plugin, which was removed
  * Use default systemd unit directories, which are now the preferred place
    in Debian also
  * Declare compliance with Debian Policy 4.6.0

 -- Florian Schlichting <fsfs@debian.org>  Fri, 20 Aug 2021 16:09:59 +0800

mpd (0.22.6-1) unstable; urgency=medium

  * New upstream version 0.22.6
  * Update d/copyright

 -- Florian Schlichting <fsfs@debian.org>  Wed, 17 Feb 2021 10:30:02 +0800

mpd (0.22.4-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * Enable explicitly yajl in d/rules
  * Disable decoder/wildmidi in default conf
  * Fixed obsolete run/mpd/ location in debian/mpd.postrm
  * New upstream version 0.22.4
  * Update copyright years
  * Update debian/mpd.conf

  [ Florian Schlichting ]
  * d//mpd.conf: fix a typo and another three whitespace differences from
    doc/mpdconf.example

 -- Florian Schlichting <fsfs@debian.org>  Fri, 22 Jan 2021 23:49:50 +0800

mpd (0.22.3-1) unstable; urgency=medium

  [ Florian Schlichting ]
  * New upstream version 0.22
  * Upstream doc build now also installs manpages
  * Enable io_uring support on linux
  * Require libupnp version 1.8 or newer
  * Update d/copyright for new/moved/deleted files

  [ Geoffroy Youri Berret ]
  * Rename WITH_SYSTEMD WITH_LINUX in d/rules
  * Update copyright

  [ Florian Schlichting ]
  * Rewrite README.Debian to explain desktop sessions with pulseaudio in more
    detail (closes: #958179)
  * Stop installing mpd.desktop
  * Delete NEWS.Debian, it is over a decade old and no longer news
  * Bump d/watch to version 4
  * Declare compliance with Debian Policy 4.5.1
  * Restructure d/copyright based on the output of scan-copyrights
  * New upstream version 0.22.3

 -- Florian Schlichting <fsfs@debian.org>  Tue, 24 Nov 2020 22:41:15 +0800

mpd (0.21.26-1) unstable; urgency=medium

  * New upstream version 0.21.26
  * Update d/copyright (add apple library, move  ByteOrder.hxx)
  * Bump dh compat to level 13
  * Drop explicit -Wl,--as-needed, which is now the default
  * (Actually) ship upstream's mpdconf.example in docs
  * Do not enable systemd user units by default (closes: #959693)

 -- Florian Schlichting <fsfs@debian.org>  Fri, 25 Sep 2020 00:14:52 +0800

mpd (0.21.22-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * New upstream version 0.21.22
  * Update d/copyright

  [ Florian Schlichting ]
  * Update d/copyright for new files with a non-default license
  * Add basic upstream metadata
  * Enable root-less package build

 -- Florian Schlichting <fsfs@debian.org>  Sun, 19 Apr 2020 12:14:46 +0200

mpd (0.21.20-1) unstable; urgency=medium

  * New upstream version 0.21.20
  * Update d/copyright for renamed files
  * Declare compliance with Debian Policy 4.5.0
  * Drop a Breaks satisfied in oldoldstable

 -- Florian Schlichting <fsfs@debian.org>  Mon, 17 Feb 2020 22:14:51 +0100

mpd (0.21.16-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * New upstream version 0.21.16 (closes: #939052)
  * Remove useless Build-Dep on libcppunit
  * Enable sndio output plugin

  [ Florian Schlichting ]
  * Declare compliance with Debian Policy 4.4.1

 -- Florian Schlichting <fsfs@debian.org>  Thu, 07 Nov 2019 18:52:09 +0800

mpd (0.21.13-1) unstable; urgency=medium

  * New upstream version 0.21.13
  * Require libcdio-paranoia 10.2+0.93+1 (in buster)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 15 Aug 2019 16:56:27 +0200

mpd (0.21.11-1) unstable; urgency=medium

  [ Julien Rabier ]
  * Update mpd.service.documentation.user.patch

  [ Geoffroy Youri Berret ]
  * Fixed deprecated --force option with dpkg-statoverride
  * Remove empty d/mpd.prerm
  * New upstream version 0.21.11
  * Bump meson build dependency to 0.49.0
  * Declare compliance with Debian Policy 4.4.0
  * MPD v0.21.8 fixed ftbfs with GCC-9 (closes: #925783)

  [ Florian Schlichting ]
  * Add some as-installed autopkgtests from Audio::MPD

 -- Florian Schlichting <fsfs@debian.org>  Tue, 16 Jul 2019 21:50:48 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mpd`.
